<?php

namespace Pterodactyl\Http\Middleware\Api\Application;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpKernel\Exception\AccessDeniedHttpException;

class AuthenticateUser
{
    /**
     * Authenticate that the currently authenticated user is an administrator
     * and should be allowed to proceede through the application API.
     *
     * @param \Illuminate\Http\Request $request
     * @param \Closure                 $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        if (is_null($request->user()) || ! $request->user()->root_admin) {
            throw new AccessDeniedHttpException;
        }

        return $next($request);
    }
}
